EVENT(Aptos Only)

Supported Network

Network

Supporting

Giwa Testnet (sepolia)

❌

Arc Mainnet

❌

Arc Testnet

❌

Aptos Mainnet

✅

Aptos Testnet

✅

Ethereum Mainnet

❌

Ethereum Testnet (sepolia)

❌

Ethereum Testnet (hoodi)

❌

Base Mainnet

❌

Base Testnet(sepolia)

❌

BNB Mainnet

❌

BNB Testnet

❌

Polygon Mainnet

❌

Arbitrum Mainnet

❌

Arbitrum Testnet (sepolia)

❌

Optimism Mainnet

❌

Optimism Testnet (sepolia)

❌

Kaia Mainnet

❌



Webhook Creation Request Example

When setting the eventType value to EVENT, the available condition object fields are as follows.

Key

Type

Required

Description

Example Value

eventType

String

true

The event type to monitor. The event type refers to the name of the event struct defined in the module. Enter this field in the format "module_address::module_name::event_name".

"0x1::account::CoinRegisterEvent"

eventAccountAddress

String

true

The address that triggers the event you want to monitor.

"0x84e6da2230d45f8e6e1e607fa304f92a2c0691cd85caa43c4920727547c5b07f"

eventData

Object

false

An object that specifies event data filtering conditions. Use this field to filter for only the events you want by specifying particular keys and values. Filtering is supported only for events whose data is in JSON object format, and values nested up to 3 levels deep can be entered. Filtering applies only when the entered key and value exactly match the event data.

{"sender": "0xcafe", "receiver": "0xface"}

Request Example

curl --location 'https://web3.nodit.io/v1/aptos/mainnet/webhooks' \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: ••••••' \
--data '{
  "eventType": "EVENT",
   "description": "{WEBHOOK_DESCRIPTION}",
  "notification": {
    "webhookUrl": "{WEBHOOK_LISTENER_ENDPOINT}"
  },
  "condition": {
    "eventType": "0x1::account::CoinRegisterEvent",
    "eventAccountAddress": "0x84e6da2230d45f8e6e1e607fa304f92a2c0691cd85caa43c4920727547c5b07f"
  }
}
'

Response Example

{
  "subscriptionId": "5022",
  "sequenceNumber": "1",
  "description": "{WEBHOOK_DESCRIPTION}",
  "protocol": "APTOS",
  "network": "MAINNET",
  "subscriptionType": "WEBHOOK",
  "notification": {
    "webhookUrl": "{WEBHOOK_LISTENER_ENDPOINT}"
  },
  "eventType": "EVENT",
  "event": {
    "eventType": "0x1::account::CoinRegisterEvent",
    "eventAccountAddress": "0x84e6da2230d45f8e6e1e607fa304f92a2c0691cd85caa43c4920727547c5b07f",
    "payloadFunction": null,
    "messages": [
      {
        "guid": {
          "creation_number": "0",
          "account_address": "0x84e6da2230d45f8e6e1e607fa304f92a2c0691cd85caa43c4920727547c5b07f"
        },
        "sequence_number": "0",
        "type": "0x1::account::CoinRegisterEvent",
        "data": {
          "type_info": {
            "account_address": "0x1",
            "module_name": "0x6170746f735f636f696e",
            "struct_name": "0x4170746f73436f696e"
          }
        },
        "event_index": 0,
        "version": "2107915587"
      }
    ]
  },
  "createdAt": "2024-12-27T09:07:09.341857113Z"
}